Skip to main content
GET
/
business_accounts
/
{business_account_id}
/
messages
List messages
curl --request GET \
  --url https://whatsrb.com/api/v1/business_accounts/{business_account_id}/messages \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "direction": "outbound",
      "to": "<string>",
      "message_type": "text",
      "content": "<string>",
      "status": "queued",
      "wamid": "<string>",
      "error_message": "<string>",
      "sent_at": "2023-11-07T05:31:56Z",
      "delivered_at": "2023-11-07T05:31:56Z",
      "read_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

API key from the WhatsRB dashboard. Format: Bearer wrb_live_xxx

Path Parameters

business_account_id
string
required

Business account ID

Response

OK

data
object[]
meta
object